Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.dig.translator
Interface DIGQueryResponse

All Known Implementing Classes:
  DefaultDIGQueryResponse

    public interface DIGQueryResponse

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jul 19, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Method Summary
`boolean` | `getBoolean()` If the query resultied in a boolean response, for example asking if a concept was satisfiable, then this method may be used to get the boolean result.
`Collection` | `getConcepts()` If the query resulted in a concept set response type for example a query for super concepts then this method can be used to get the concepts.
`String` | `getID()` Gets the ID of the query that the reponse corresponds to
`Collection` | `getIndividuals()` If the query resulted in an individual set response type then this method may be used to obtain the individuals in the response.

Method Detail

### getID

    String getID()

  Gets the ID of the query that the reponse corresponds to

### getConcepts

    Collection getConcepts()

  If the query resulted in a concept set response type for example a query for super concepts then this method can be used to get the concepts.

  Returns:
    A `Collection` of `RDFSClass`s

### getIndividuals

    Collection getIndividuals()

  If the query resulted in an individual set response type then this method may be used to obtain the individuals in the response.

  Returns:
    A `Collection` of `RDFIndividual`s

### getBoolean

    boolean getBoolean()

  If the query resultied in a boolean response, for example asking if a concept was satisfiable, then this method may be used to get the boolean result.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.